package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * 违��-处理方式设置对象 lab_process_site
 * 
 * @author zd
 * @date 2021-12-13
 */
@ApiModel("违��-处理方式设置")
public class LabProcessSite extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 处理方式：0:警告,1:约谈,2:学习,3:考试 */
    @Excel(name = "处理方式：0:警告,1:约谈,2:学习,3:考试")
    @ApiModelProperty(value = "处理方式：0:警告,1:约谈,2:学习,3:考试")
    private Integer processType;
    /** 备注说明 */
    @Excel(name = "备注说明")
    @Length(message = "备注说明长度不能超过255")
    @ApiModelProperty(value = "备注说明")
    private String remake;
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProcessType(Integer processType) 
    {
        this.processType = processType;
    }

    public Integer getProcessType() 
    {
        return processType;
    }
    public void setRemake(String remake) 
    {
        this.remake = remake;
    }

    public String getRemake() 
    {
        return remake;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("processType", getProcessType())
            .append("remake", getRemake())
            .toString();
    }
}
